﻿$packageName = 'ccleaner'
$installerType = 'EXE'
$LCID = (Get-Culture).LCID
$url = 'https://download.piriform.com/ccsetup520.exe'

# The installer contains the 64-bit version too.
# Therefore $url64 is identical to $url
$url64 = $url
$silentArgs = "/S /L=$LCID"

# Please test every new version of CCleaner for possible adware/spyware/crapware
# which installs silently together with Piriform software products.
# Only push the new package to the gallery if you are 100% sure that this
# package prevents the install of the bundled adware.
$regAdd = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)\regAdd.ps1"

$validExitCodes = @(0)


# This adds a registry key which prevents Google Chrome
# from getting installed together with Piriform software products.
Start-ChocolateyProcessAsAdmin "& `'$regAdd`'"

Install-ChocolateyPackage $packageName $installerType $silentArgs `
  $url $url64 -validExitCodes $validExitCodes


